Bug 1304533 - ceph-deploy 1.5.36 for 1.3.3
Summary: ceph-deploy 1.5.36 for 1.3.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Installer
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 1.3.3
Assignee: Ken Dreyer (Red Hat)
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1317427 1326987 1372735
TreeView+ depends on / blocked
 
Reported: 2016-02-03 22:52 UTC by Vasu Kulkarni
Modified: 2019-10-10 11:05 UTC (History)
10 users (show)

Fixed In Version: RHEL: ceph-deploy-1.5.36-1.el7cp Ubuntu: ceph-deploy_1.5.36-2redhat1
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
."ceph-deploy" rebased to 1.5.36 The `ceph-deploy` package has been updated to the upstream version 1.5.36, which provides a number of bug fixes and enhancements over the previous version.
Clone Of:
: 1326987 (view as bug list)
Environment:
Last Closed: 2016-09-29 12:56:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2200641 None None None 2016-03-16 07:41:43 UTC
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Description Vasu Kulkarni 2016-02-03 22:52:25 UTC
Description of problem:
The current version of ceph-deploy in 1.3.2 is 1.5.27.4 and the latest upstream is 1.5.31, after discussion with Ken raising the bz for 1.3.3 to sync ceph-deploy to lastest upstream vesion


Version-Release number of selected component (if applicable):
1.3.2 - 1.5.27.4

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:
N/A

Expected results:
N/A

Additional info:
N/A

Comment 2 Ken Dreyer (Red Hat) 2016-08-15 15:25:28 UTC
Vasu, would you please test ceph-deploy 1.5.35 with RHCS 1.3 downstream before we pull this in? After talking with Alfredo, the latest ceph-deploy versions may not fully support Hammer (particularly the Ubuntu package layout that we use downstream, eg. the server packages are not split, and we do not ship ceph-mds on Ubuntu for RHCS 1.3, etc.).

Comment 3 Vasu Kulkarni 2016-08-15 16:49:58 UTC
Ken,

Sure, It can be an issue with ceph-mds, I will test that, Did you generate 1.3 for ubuntu yet?

Comment 8 Ramakrishnan Periyasamy 2016-09-14 10:01:35 UTC
Cluster installation for build 1.3.3 is successful using ceph-deploy version 1.5.36 

Verified in RHEL and Ubuntu.

Comment 11 errata-xmlrpc 2016-09-29 12:56:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.